QwtPlotDict(3)

NAME
QwtPlotDict -

SYNOPSIS

Inherited by QwtPlot.

Detailed Description

A dictionary for plot items. QwtPlotDict organizes plot items in increasing z-order. If autoDelete() is enabled, all attached items will be deleted in the destructor of the dictionary.

See also:
    QwtPlotItem::attach(), QwtPlotItem::detach(), QwtPlotItem::z()

Definition at line 42 of file qwt_plot_dict.h.

  Public Member Functions
QwtPlotDict ()
~QwtPlotDict ()
void setAutoDelete (bool)
bool autoDelete () const
const QwtPlotItemList & itemList () const
void detachItems (int rtti=QwtPlotItem::Rtti_PlotItem, bool autoDelete=true)

  Friends
class QwtPlotItem

Constructor & Destructor Documentation

  QwtPlotDict::QwtPlotDict () [explicit]

Constructor

Auto deletion is enabled.

See also:
    setAutoDelete, attachItem

Definition at line 94 of file qwt_plot_dict.cpp.

  QwtPlotDict::~QwtPlotDict ()

Destructor

If autoDelete is on, all attached items will be deleted

See also:
    setAutoDelete, autoDelete, attachItem

Definition at line 106 of file qwt_plot_dict.cpp.

References detachItems().

Member Function Documentation

  void QwtPlotDict::setAutoDelete (bool autoDelete)

En/Disable Auto deletion

If Auto deletion is on all attached plot items will be deleted in the destructor of QwtPlotDict. The default value is on.

See also:
    autoDelete, attachItem

Definition at line 120 of file qwt_plot_dict.cpp.

  bool QwtPlotDict::autoDelete () const

Returns:
    true if auto deletion is enabled

See also:
    setAutoDelete, attachItem

Definition at line 129 of file qwt_plot_dict.cpp.

Referenced by QwtPlot::~QwtPlot().

  const QwtPlotItemList & QwtPlotDict::itemList () const

A QwtPlotItemList of all attached plot items.

Use caution when iterating these lists, as removing/detaching an item will invalidate the iterator. Instead you can place pointers to objects to be removed in a removal list, and traverse that list later.

Returns:
    List of all attached plot items.

Definition at line 186 of file qwt_plot_dict.cpp.

Referenced by QwtPlotPrintFilter::apply(), QwtPlot::drawItems(), QwtPlot::insertLegend(), QwtPlotPrintFilter::reset(), and QwtPlot::updateAxes().

  void QwtPlotDict::detachItems (int rtti = QwtPlotItem::Rtti_PlotItem, bool autoDelete = true)

Detach items from the dictionary

Parameters:
    rtti In case of QwtPlotItem::Rtti_PlotItem detach all items otherwise only those items of the type rtti.
    autoDelete If true, delete all detached items

Definition at line 161 of file qwt_plot_dict.cpp.

Referenced by QwtPlot::clear(), QwtPlot::~QwtPlot(), and ~QwtPlotDict().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.